# Delete content in the Django dashboard

```{note}
Deleting content using the Django dashboard isn't recommended. Use an object's [moderation page](../../moderator/content/delete.md) where possible.
```

You can delete content from your pod in the Django dashboard. The dashboard gives you access to all data associated with the content.

```{warning}
Deleting content removes it from associated playlists, channels, libraries, and favorites lists.
```

## Delete tracks

To delete tracks in the Django dashboard:

1. Open the Django dashboard.
2. Select {guilabel}`Tracks` in the {guilabel}`MUSIC` table.
3. Search for the track(s) you want to delete.
4. Check ({fa}`check-square`) the checkbox next to the track(s) you want to delete.
5. Select {guilabel}`Delete selected tracks` in the {guilabel}`Action` dropdown.
6. Select {guilabel}`Go`. A confirmation page opens showing you the items that are affected by the action.
7. Review the information and select {guilabel}`Yes, I'm sure` to delete the item(s).

## Delete albums

To delete albums in the Django dashboard:

1. Open the Django dashboard.
2. Select {guilabel}`Albums` in the {guilabel}`MUSIC` table.
3. Search for the album(s) you want to delete.
4. Check ({fa}`check-square`) the checkbox next to the album(s) you want to delete.
5. Select {guilabel}`Delete selected albums` in the {guilabel}`Action` dropdown.
6. Select {guilabel}`Go`. A confirmation page opens showing you the items that are affected by the action.
7. Review the information and select {guilabel}`Yes, I'm sure` to delete the item(s).

## Delete artists

To delete artists in the Django dashboard:

1. Open the Django dashboard.
2. Select {guilabel}`Artists` in the {guilabel}`MUSIC` table.
3. Search for the artist(s) you want to delete.
4. Check ({fa}`check-square`) the checkbox next to the artist(s) you want to delete.
5. Select {guilabel}`Delete selected artists` in the {guilabel}`Action` dropdown.
6. Select {guilabel}`Go`. A confirmation page opens showing you the items that are affected by the action.
7. Review the information and select {guilabel}`Yes, I'm sure` to delete the item(s).

## Delete followed libraries

In Funkwhale, unfollowing a library leaves the items in place but you can't access them. To completely remove them:

1. Open the Django dashboard.
2. Select {guilabel}`Librarys` in the {guilabel}`MUSIC` table.
3. Search for the libraries you want to delete.
4. Check ({fa}`check-square`) the checkbox next to the libraries you want to delete.
5. Select {guilabel}`Delete selected libraries` in the {guilabel}`Action` dropdown.
6. Select {guilabel}`Go`. A confirmation page opens showing you the items that are affected by the action.
7. Review the information and select {guilabel}`Yes, I'm sure` to delete the item(s).
