# Translate Funkwhale

Funkwhale depends on community translations to provide a localized experience to all users. All of our UX copy and documentation is written in American English. This isn't accessible to all users.

If you are interested in helping us reach more users, we welcome contributions in all languages!

## Language coordination

Each language team requires a lead who can verify translations. You can see a list of languages and team leads [on our forum](https://forum.funkwhale.audio/d/107-coordinate-translations). If your language isn't available in our platform yet, reach out on the forum and we'll set it up.

We can also create language-specific sections of the forum to enable users to discuss things in languages other than English. Language-specific sections require moderators who can enforce the code of conduct. If you're interested in moderating a language-specific section, let us know [on the forum](https://forum.funkwhale.audio/d/18-language-specific-communities).

## Weblate

Funkwhale uses [Weblate](https://weblate.org) as its translation platform. Weblate provides an easy-to-use web frontend for submitting localized strings.

To get started, sign up to our [Weblate instance](https://translate.funkwhale.audio) and follow the instructions to set up your language preferences. The following projects are available for translation:

1. Funkwhale: The Funkwhale web app
2. Funkwhale for Android: Our official Android app
3. Funkwhale.audio: Our website
4. Documentation: This documentation hub

## Guidelines

We trust each language team to deliver translations that are tonally consistent with the source language. Where applicable, follow these guidelines:

1. Use gender-neutral language
2. Use informal speech patterns, including contractions
3. Use sentence case for all content, including titles. For example: "Language coordination" rather than "Language Coordination"
