# Add a domain to your allow-list

If you have allow-listing enabled, you need to add a domain to your allow-list to interact with it. You can add new domains in two ways:

```{contents}
:local:
```

:::{dropdown} Required permissions
:icon: key

- {guilabel}`Moderation` – provides access to the administration and moderation menus.

:::

## Add a new domain

To add a domain that is not currently in your domains list:

::::{tab-set}

:::{tab-item} Desktop
:sync: desktop

1. Log in to your {term}`pod`.
2. Select the wrench icon ({fa}`wrench`) at the top of the sidebar to open the {guilabel}`Administration` menu.
3. Select {guilabel}`Moderation`. The {guilabel}`Reports` page opens.
4. Select {guilabel}`Domains` at the top of the page. The {guilabel}`Domains` page opens. You can see a list of known domains on this page.
5. Enter the URL of the Fediverse server you want to add in the {guilabel}`Add a domain` field.
6. Check ({fa}`check-square`) the checkbox labeled {guilabel}`Add to allow-list`.
7. Select {guilabel}`Add`.

:::

:::{tab-item} Mobile
:sync: mobile

1. Log in to your {term}`pod`.
2. Select the wrench icon ({fa}`wrench`) at the top of the screen to open the {guilabel}`Administration` menu.
3. Select {guilabel}`Moderation`. The {guilabel}`Reports` page opens.
4. Select {guilabel}`Domains` at the top of the page. The {guilabel}`Domains` page opens. You can see a list of known domains on this page.
5. Enter the URL of the Fediverse server you want to add in the {guilabel}`Add a domain` field.
6. Check ({fa}`check-square`) the checkbox labeled {guilabel}`Add to allow-list`.
7. Select {guilabel}`Add`.

:::
::::

That's it! You've added the domain to your pod's allow-list.

## Add a known domain

To add a domain that is already in your pod's domain list:

::::{tab-set}

:::{tab-item} Desktop
:sync: desktop

1. Log in to your {term}`pod`.
2. Select the wrench icon ({fa}`wrench`) at the top of the sidebar to open the {guilabel}`Administration` menu.
3. Select {guilabel}`Moderation`. The {guilabel}`Reports` page opens.
4. Select {guilabel}`Domains` at the top of the page. The {guilabel}`Domains` page opens. You can see a list of known domains on this page.
5. Check ({fa}`check-square`) the checkbox next to the domain(s) you want to add to the allow-list.
6. Select {guilabel}`Add to allow-list` in the {guilabel}`Actions` dropdown.
7. Select {guilabel}`Go`. A green tick ({fa}`check`) appears next to the domain(s)

:::

:::{tab-item} Mobile
:sync: mobile

1. Log in to your {term}`pod`.
2. Select the wrench icon ({fa}`wrench`) at the top of the screen to open the {guilabel}`Administration` menu.
3. Select {guilabel}`Moderation`. The {guilabel}`Reports` page opens.
4. Select {guilabel}`Domains` at the top of the page. The {guilabel}`Domains` page opens. You can see a list of known domains on this page.
5. Check ({fa}`check-square`) the checkbox next to the domain(s) you want to add to the allow-list.
6. Select {guilabel}`Add to allow-list` in the {guilabel}`Actions` dropdown.
7. Select {guilabel}`Go`. A green tick ({fa}`check`) appears next to the domain(s)

:::
::::

You're done! You've added the domain to your pod's allow-list.
