# Change the visibility of a library

```{note}
You can only change the visibility of libraries stored on your {term}`pod`.
```

If a user has put copyrighted material in a public library, you can change the visibility of the library. This lets the user keep the content and protects your pod from legal issues.

:::{dropdown} Required permissions
:icon: key

- {guilabel}`Moderation` – provides access to the administration menu.
- {guilabel}`Library` – provides access to the library menu.

:::

To change the visibility of a library:

::::{tab-set}

:::{tab-item} Desktop
:sync: desktop

1. Log in to your {term}`pod`.
2. Select the wrench icon ({fa}`wrench`) at the top of the sidebar to open the {guilabel}`Administration` menu.
3. Select {guilabel}`Library`. The {guilabel}`Edits` page opens.
4. Select {guilabel}`Libraries` at the top of the page. The {guilabel}`Libraries` page opens.
5. Select the library you want to update. The library's moderation page opens.
6. Select one of the following options from the {guilabel}`Visibility` dropdown menu:
   - {guilabel}`Private` – makes the library visible only to the owner and anyone they have shared it with.
   - {guilabel}`Instance` – makes the library visible only to users who have an account on your pod.
   - {guilabel}`Everyone` – makes the library visible to users across all pods.

:::

:::{tab-item} Mobile
:sync: mobile

1. Log in to your {term}`pod`.
2. Select the wrench icon ({fa}`wrench`) at the top of the screen to open the {guilabel}`Administration` menu.
3. Select {guilabel}`Library`. The {guilabel}`Edits` page opens.
4. Select {guilabel}`Libraries` at the top of the page. The {guilabel}`Libraries` page opens.
5. Select the library you want to update. The library's moderation page opens.
6. Select one of the following options from the {guilabel}`Visibility` dropdown menu:
   - {guilabel}`Private` – makes the library visible only to the owner and anyone they have shared it with.
   - {guilabel}`Instance` – makes the library visible only to users who have an account on your pod.
   - {guilabel}`Everyone` – makes the library visible to users across all pods.

:::
::::

That's it! You've updated the library's visibility. You should contact the user informing them of the action.
