# Add a domain to your pod's domain list

Funkwhale records the domains of other {term}`Fediverse` servers when users interact with them. Once a domain is in your domains list, you can [add moderation rules](rules/add.md) to it.

:::{dropdown} Required permissions
:icon: key

- {guilabel}`Moderation` – provides access to the administration and moderation menus.

:::

You can also add domains to this list at any time to create rules before users interact with them. To do this:

::::{tab-set}

:::{tab-item} Desktop
:sync: desktop

1. Log in to your {term}`pod`.
2. Select the wrench icon ({fa}`wrench`) at the top of the sidebar to open the {guilabel}`Administration` menu.
3. Select {guilabel}`Moderation`. The {guilabel}`Reports` page opens.
4. Select {guilabel}`Domains` at the top of the page. The {guilabel}`Domains` page opens. You can see a list of known domains on this page.
5. Enter the URL of the Fediverse server you want to add in the {guilabel}`Add a domain` field.
6. Select {guilabel}`Add` to add the domain. The domain moderation page opens.

:::

:::{tab-item} Mobile
:sync: mobile

1. Log in to your {term}`pod`.
2. Select the wrench icon ({fa}`wrench`) at the top of the page to open the {guilabel}`Administration` menu.
3. Select {guilabel}`Moderation`. The {guilabel}`Reports` page opens.
4. Select {guilabel}`Domains` at the top of the page. The {guilabel}`Domains` page opens. You can see a list of known domains on this page.
5. Enter the URL of the Fediverse server you want to add in the {guilabel}`Add a domain` field.
6. Select {guilabel}`Add` to add the domain. The domain moderation page opens.

:::
::::

That's it! The domain is now in your domains list. You can now add moderation rules to this domain.
