# Get started

{term}`Pod` moderators are responsible for enforcing the rules of a pod. Moderation permissions enable moderators to provide specific tasks:

- {guilabel}`Moderation` – enables the moderator to moderate users, domains, and the allow-list.
- {guilabel}`Library` – enables the moderator to make changes to library content. This includes deleting local objects and handling edit suggestions.

Follow the guides in our moderator documentation to handle moderation tasks.

```{contents}
:local:
```

## Handle user reports

One of the most important duties of a moderator is handling reports. If a user finds content that violates your pod's rules or the law, they can report it. Users can also report other users if they have broken the rules of your pod. Follow the guides in the [Reports](reports/index.md) section to learn how to handle these reports.

## Moderate your pod's users

As a moderator, you are responsible for moderating the behavior of users on your pod. Funkwhale provides you with tools to help you handle users that violate your pod's rules. Check out our [Moderate your pod's users](internal-users/index.md) section for more information.

## Moderate content on your pod

Funkwhale's moderation tools enable moderators to handle the content on a pod. This means you can update, delete, or hide content. It also enables you to approve or reject edits submitted by users on your pod. Check out the guides in the [Moderate content on your pod](content/index.md) for more information.

## Moderate external domains

As {term}`fediverse` software, Funkwhale interacts with other software over federation. Read through the [Moderate external domains](domains/index.md) section to handle content from other servers.

## Moderate external users

You can moderate how external users interact with users on your pod. Check out the [Moderate external users](external-users/index.md) guides to learn how to manage users from other servers.

## Manage your allow-list

If your pod admin has set up allow-listing, you can add and remove domains from your pod's list. Follow the guides in the [Allow-listing](allow-listing/index.md) section to learn how to handle your allow-list.
