# Handle reported content

```{warning}
Deleting reported objects is irreversible. This action deletes the associated files from the pod.
```

You can handle content reports from the {guilabel}`Reports` page or from the reported object's moderation page. You only need to open the moderation page to edit objects.

:::{dropdown} Required permissions
:icon: key

- {guilabel}`Moderation` – provides access to the administration and moderation menus.
- {guilabel}`Library` – enables the moderator to delete objects.

:::

```{contents}
:local:
```

## Handle reports from the Reports page

To handle a content report from the {guilabel}`Reports` page:

::::{tab-set}

:::{tab-item} Desktop
:sync: desktop

1. Log in to your {term}`pod`.
2. Select the wrench icon ({fa}`wrench`) at the top of the sidebar to open the {guilabel}`Administration` menu.
3. Select {guilabel}`Moderation`. The {guilabel}`Reports` page opens.
4. [Search for the report](search.md).
5. Select an action from the {guilabel}`Actions` section:
   - {guilabel}`Resolve` – resolve the report with no further action.
   - {guilabel}`Delete reported object` – delete the object associated with the report. If you delete an artist or album, this deletes all files associated with the object.

:::

:::{tab-item} Mobile
:sync: mobile

1. Log in to your {term}`pod`.
2. Select the wrench icon ({fa}`wrench`) at the top of the screen to open the {guilabel}`Administration` menu.
3. Select {guilabel}`Moderation`. The {guilabel}`Reports` page opens.
4. [Search for the report](search.md).
5. Select an action from the {guilabel}`Actions` section:
   - {guilabel}`Resolve` – resolve the report with no further action.
   - {guilabel}`Delete reported object` – delete the object associated with the report. If you delete an artist or album, this deletes all files associated with the object.

:::
::::

Resolving the report assigns it to you so other moderators know who handled the report. Add [internal notes](notes.md) to keep a record of your changes.

## Edit content in the moderation page

If you want to edit an object to change its metadata:

::::{tab-set}

:::{tab-item} Desktop
:sync: desktop

1. Log in to your {term}`pod`.
2. Select the wrench icon ({fa}`wrench`) at the top of the sidebar to open the {guilabel}`Administration` menu.
3. Select {guilabel}`Moderation`. The {guilabel}`Reports` page opens.
4. [Search for the report](search.md).
5. Select {guilabel}`Open in moderation interface` in the {guilabel}`Reported object` section. The object's moderation page opens.
6. Select {guilabel}`Edit`. The {guilabel}`Edit` page opens.
7. Edit the details on this page. Leave a {guilabel}`Summary` of your changes for reference.
8. Select {guilabel}`Submit and apply edit`.
9. Return to the {guilabel}`Reports` page.
10. Search for the report.
11. Select {guilabel}`Resolve` in the {guilabel}`Actions` section.

:::

:::{tab-item} Mobile
:sync: mobile

1. Log in to your {term}`pod`.
2. Select the wrench icon ({fa}`wrench`) at the top of the screen to open the {guilabel}`Administration` menu.
3. Select {guilabel}`Moderation`. The {guilabel}`Reports` page opens.
4. [Search for the report](search.md).
5. Select {guilabel}`Open in moderation interface` in the {guilabel}`Reported object` section. The object's moderation page opens.
6. Select {guilabel}`Edit`. The {guilabel}`Edit` page opens.
7. Edit the details on this page. Leave a {guilabel}`Summary` of your changes for reference.
8. Select {guilabel}`Submit and apply edit`.
9. Return to the {guilabel}`Reports` page.
10. Search for the report.
11. Select {guilabel}`Resolve` in the {guilabel}`Actions` section.

:::
::::

Resolving the report assigns it to you so other moderators know who handled the report. Add [internal notes](notes.md) to keep a record of your changes.
