# View unresolved reports

When a user reports an object on your {term}`pod`, the report gets sent to a moderation queue. You can check this moderation queue to handle any reports that users have submitted.

:::{dropdown} Required permissions
:icon: key

- {guilabel}`Moderation` – provides access to the administration and moderation menus.

:::

## Check the Reports page

You can see a list of unresolved reports by going to the {guilabel}`Reports` page. To do this:

::::{tab-set}

:::{tab-item} Desktop
:sync: desktop

1. Log in to your {term}`pod`.
2. Select the wrench icon ({fa}`wrench`) at the top of the sidebar to open the {guilabel}`Administration` menu.
3. Select {guilabel}`Moderation`. The {guilabel}`Reports` page opens.

:::

:::{tab-item} Mobile
:sync: mobile

1. Log in to your {term}`pod`.
2. Select the wrench icon ({fa}`wrench`) at the top of the screen to open the {guilabel}`Administration` menu.
3. Select {guilabel}`Moderation`. The {guilabel}`Reports` page opens.

:::
::::

That's it! A list of unresolved reports appears on the screen. The summary contains the following information:

- The user who submitted the report.
- The report {guilabel}`Category`.
- The date the user submitted the report.
- The message the user posted with the report (if applicable).
- The {guilabel}`Status` of the report.
- Any {guilabel}`Internal notes` left by moderators.
- A summary of the {guilabel}`Reported object`.
- A list of available {guilabel}`Actions`.

Use the tools on this page the handle the reported [content](content.md) or [user](users.md).

## Email notifications

When a user submits a report, an email gets sent to all pod moderators. This email contains a summary of the report including:

- The user who submitted the report.
- The object that the user reported.
- A link to the object on your pod.
- A link to the object's moderation page.
- The message the user posted with the report (if applicable).
- A link to the report.
- A link to the {guilabel}`Reports` page.

Follow the links in the email to view the report.
