# Get started

Follow the guides in our user documentation to get started using Funkwhale.

```{contents}
:local:
```

## Set up your Funkwhale account

Some {term}`Funkwhale pods <Pod>` allow you to listen to music without signing up. To get the most out of Funkwhale, you should create an account. Check out [Your account](accounts/index.md) to get started.

## Publish your content on Funkwhale

Got a podcast you want to share with the world? Working on a new album? Funkwhale gives you the tools you need to share your creativity with the {term}`Fediverse`. Publish your work in [Channels](channels/index.md) to start building up your following.

## Upload your collection to Funkwhale

Want to listen to your private collection using Funkwhale? Upload your files to [Libraries](libraries/index.md) to store your collection on your pod and share it with others.

## Start listening

Want to listen to something new or enjoy an old favorite? Follow the guides in the sections linked below to master playback in Funkwhale:

- Learn how to use the [Queue](queue/index.md) to organize playback.
- Build [Playlists](playlists/index.md) to personalize how you enjoy your favorite content.
- Create new [Radios](radios/index.md) to automate your listening experience.

## Report content and users

If you've come across something that doesn't abide by a pod's rules or the law, you can report it. Follow the guides in the [Reporting](reports/index.md) section to see how.

## Access Funkwhale from other apps

Funkwhale supports a subset of the Subsonic API. This means you can play your Funkwhale content on Subsonic apps. Learn more about how to do this in the [Subsonic](subsonic/index.md) section.

## Enhance your experience with plugins

Funkwhale supports plugins to extend its features or to add new features. Check out our [Plugins](plugins/index.md) section for details about our plugins and how to use them.
