# Share a library

Sharing a library gives another user access to the library's content. When a user follows your library, they'll be able to play and download any content it contains from their {term}`pod`. Share private libraries with friends and family or share public libraries with everyone!

To share a library you own:

::::{tab-set}

:::{tab-item} Desktop
:sync: desktop

1. Log in to your pod.
2. Select the upload icon ({fa}`upload`) in the top of the sidebar.
3. Select {guilabel}`Get started` under {guilabel}`Upload third-party content in a library`.
4. A screen appears showing your upload quota and your libraries.
5. Select {guilabel}`Library Details` under the library you want to share.
6. The {guilabel}`Sharing link` appears on the library details page. Select {guilabel}`Copy` to copy the sharing link to your clipboard. A label appears letting you know you've copied the link.
7. Send the link to whomever you want to share the library with.

:::

:::{tab-item} Mobile
:sync: mobile

1. Log in to your pod.
2. Select the upload icon ({fa}`upload`) at the top of the screen.
3. Select {guilabel}`Get started` under {guilabel}`Upload third-party content in a library`.
4. A screen appears showing your upload quota and your libraries.
5. Select {guilabel}`Library Details` under the library you want to share.
6. The {guilabel}`Sharing link` appears on the library details page. Select {guilabel}`Copy` to copy the sharing link to your clipboard. A label appears letting you know you've copied the link.
7. Send the link to whomever you want to share the library with.

:::
::::

If you have set the library's privacy level to {guilabel}`Nobody except me`, you need to approve followers. You receive a notification when a user follows your library. To approve a follow request:

::::{tab-set}

:::{tab-item} Desktop
:sync: desktop

1. Log in to your pod.
2. Select the cog icon ({fa}`cog`) or your avatar to expand the user menu.
3. Select {guilabel}`Notifications`. The notifications screen opens.
4. Notifications show the username of the user who wants to follow the library as well as the library name. Select {guilabel}`Accept` to approve the follow request or {guilabel}`Reject` to reject the request.

:::

:::{tab-item} Mobile
:sync: mobile

1. Log in to your pod.
2. Select the cog icon ({fa}`cog`) or your avatar to open the {guilabel}`Options` menu.
3. Select {guilabel}`Notifications`. The notifications screen opens.
4. Notifications show the username of the user who wants to follow the library as well as the library name. Select {guilabel}`Accept` to approve the follow request or {guilabel}`Reject` to reject the request.

:::
::::

That's it! You've shared your library. The invited users can now listen to its content.
